iga_user_register:
    path:  /user/register.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::registerAction }
iga_user_subscribe_newsletter:
    path:  /user/subscribe_to_newsletter.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::subscribeNewsletterAction }
iga_user_unsubscribe_newsletter:
    path:  /user/unsubscribe_newsletter.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::unsubscribeNewsletterAction }
iga_user_my_details:
    path:  /user/my_details.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::myDetailsAction }
iga_user_forgot_pw:
    path:  /user/forgot.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::forgotPwAction }
iga_user_reset_pw:
    path:  /user/reset.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::resetPwAction }
iga_user_fetch_ajax:
    path:  /user/fetch.json
    defaults: { _controller: App\UserBundle\Controller\DefaultController::fetchUserSelect2AjaxAction }
iga_user_fetch_user_ajax:
    path:  /user/fetch_one/{userListId}.json
    defaults: { _controller: App\UserBundle\Controller\DefaultController::fetchUserDetailsAction }
    options:
        expose: true

iga_user_list:
    path:  /user/list.html
    defaults: { _controller: App\UserBundle\Controller\UserListController::listAction }
    options:
        expose: true
iga_user_edit:
    path:  /user/edit.html
    defaults: { _controller: App\UserBundle\Controller\UserListController::editAction }
iga_user_quick_create:
    path:  /user/quick_create.json
    defaults: { _controller: App\UserBundle\Controller\UserListController::quickCreateAction, _sonata_admin: "iga.user.admin.user_list" }
    requirements:
        _method:  POST
    options:
        expose: true
iga_user_import:
    path:  /user/{companyId}/{userTypeId}/import.html
    defaults: { _controller: App\UserBundle\Controller\UserListController::importAction }
iga_user_import_fields:
    path:  /user/{companyId}/{userTypeId}/{fileId}/import-fields.html
    defaults: { _controller: App\UserBundle\Controller\UserListController::importFieldsAction }
iga_user_referred_list:
    path:  /user/referred/list.html
    defaults: { _controller: App\UserBundle\Controller\UserListController::referredAction }
iga_user_field_list:
    path:  /user/field/list.html
    defaults: { _controller: App\UserBundle\Controller\UserFieldController::listAction }
iga_user_field_edit:
    path:  /user/field/edit.html
    defaults: { _controller: App\UserBundle\Controller\UserFieldController::editAction }
iga_user_group_list:
    path:  /user/group/list.html
    defaults: { _controller: App\UserBundle\Controller\UserGroupController::listAction }
iga_user_group_edit:
    path:  /user/group/edit.html
    defaults: { _controller: App\UserBundle\Controller\UserGroupController::editAction }

old_iga_user_register:
    path:  /home/register.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::registerAction }
old_iga_user_register2:
    path:  /home/register/back_to/{backTo}.html
    defaults: { _controller: App\UserBundle\Controller\DefaultController::registerAction }
old_iga_user_register3:
    path:  /user/register
    defaults: { _controller: App\UserBundle\Controller\DefaultController::registerAction, cultureString: 'en_US' }

